Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1203456 - unable to specifiy a non default --poolmetadatasize when also using an external origin volume
Summary: unable to specifiy a non default --poolmetadatasize when also using an extern...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2
Version: 6.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Zdenek Kabelac
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1191061
Blocks: 1268411
TreeView+ depends on / blocked
 
Reported: 2015-03-18 21:19 UTC by Corey Marthaler
Modified: 2016-05-11 01:16 UTC (History)
12 users (show)

Fixed In Version: lvm2-2.02.140-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 1191061
Environment:
Last Closed: 2016-05-11 01:16:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0964 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2016-05-10 22:57:40 UTC

Comment 1 Corey Marthaler 2015-03-18 21:20:51 UTC
Hitting this in 6.7 as well.

Making origin volume
lvcreate  --thinpool POOL  --zero n -L 10G --poolmetadatasize 4M snapper_thinp
Sanity checking pool device metadata
(thin_check /dev/mapper/snapper_thinp-POOL_tmeta)
examining superblock
examining devices tree
examining mapping tree
Create LV to be used as an EXTERNAL origin device
lvcreate  -L 1G -n origin snapper_thinp
Converting LV into an external thin origin device
lvconvert --thinpool snapper_thinp/POOL --originname extorigin -T origin --yes
  Can't use "snapper_thinp/origin" as external origin with "snapper_thinp/POOL" pool. Size 1.00 GiB is not a multiple of pool's chunk size 192.00 KiB.


2.6.32-540.el6.x86_64
lvm2-2.02.117-1.el6    BUILT: Wed Mar  4 09:30:04 CST 2015
lvm2-libs-2.02.117-1.el6    BUILT: Wed Mar  4 09:30:04 CST 2015
lvm2-cluster-2.02.117-1.el6    BUILT: Wed Mar  4 09:30:04 CST 2015
udev-147-2.57.el6    BUILT: Thu Jul 24 08:48:47 CDT 2014
device-mapper-1.02.94-1.el6    BUILT: Wed Mar  4 09:30:04 CST 2015
device-mapper-libs-1.02.94-1.el6    BUILT: Wed Mar  4 09:30:04 CST 2015
device-mapper-event-1.02.94-1.el6    BUILT: Wed Mar  4 09:30:04 CST 2015
device-mapper-event-libs-1.02.94-1.el6    BUILT: Wed Mar  4 09:30:04 CST 2015
device-mapper-persistent-data-0.3.2-1.el6    BUILT: Fri Apr  4 08:43:06 CDT 2014
cmirror-2.02.117-1.el6    BUILT: Wed Mar  4 09:30:04 CST 2015

Comment 3 Zdenek Kabelac 2015-03-19 13:37:01 UTC
Yes - usage of  'external' origin has it's limitations for now.

Can't use "snapper_thinp/origin" as external origin with "snapper_thinp/POOL" pool. Size 1.00 GiB is not a multiple of pool's chunk size 192.00 KiB.


Fixes  dm target should allow to use even such LVs - but that needs still some examination from my side before we enable support of such sizes.

Comment 7 Zdenek Kabelac 2015-12-14 15:57:39 UTC
Please retest once  6.8 build is available.

Comment 9 Corey Marthaler 2016-02-19 22:38:53 UTC
These mda size test cases pass in the latest rpms. Marking verified.

[...]
Creating [512.00m] MDA thinpool and corresponding thin virtual volume and thin snapshot
Making pool volume
lvcreate  --thinpool POOL_512.00m -L 500M --profile thin-performance --zero n --poolmetadatasize 512.00m snapper_thinp
[...]


2.6.32-615.el6.x86_64
lvm2-2.02.141-2.el6    BUILT: Wed Feb 10 07:49:03 CST 2016
lvm2-libs-2.02.141-2.el6    BUILT: Wed Feb 10 07:49:03 CST 2016
lvm2-cluster-2.02.141-2.el6    BUILT: Wed Feb 10 07:49:03 CST 2016
udev-147-2.71.el6    BUILT: Wed Feb 10 07:07:17 CST 2016
device-mapper-1.02.115-2.el6    BUILT: Wed Feb 10 07:49:03 CST 2016
device-mapper-libs-1.02.115-2.el6    BUILT: Wed Feb 10 07:49:03 CST 2016
device-mapper-event-1.02.115-2.el6    BUILT: Wed Feb 10 07:49:03 CST 2016
device-mapper-event-libs-1.02.115-2.el6    BUILT: Wed Feb 10 07:49:03 CST 2016
device-mapper-persistent-data-0.6.2-0.1.rc1.el6    BUILT: Wed Feb 10 09:52:15 CST 2016
cmirror-2.02.141-2.el6    BUILT: Wed Feb 10 07:49:03 CST 2016

Comment 11 errata-xmlrpc 2016-05-11 01:16:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0964.html


Note You need to log in before you can comment on or make changes to this bug.